<canvas #canvas id="canvas" style="height: 100vh; width: 100vw;" ></canvas>

<!-- <div id="viewer" style="height: 100vh; width: 100vw;"></div> -->
<div class="control-section">

    <div class="control-section_joystick">
        
        <div class="control-section_joystick-controller">
            <ngx-joystick #staticJoystic
            [options]="staticOptions"
            (start)="onStartStatic($event)"
            (end)="onEndStatic($event)"
            (move)="onMoveStatic($event)"
            (plainUp)="onPlainUpStatic($event)"
            (plainDown)="onPlainDownStatic($event)"
            (plainLeft)="onPlainLeftStatic($event)"
            (plainRight)="onPlainRightStatic($event)"
            ></ngx-joystick>
        </div>
    
    
        <div *ngIf="staticOutputData" class="control-section_joystick-data">
            <div style="float: right;">
                <div>xPos: {{ staticOutputData.position.x | number:'3.2-2'}}</div>
                <div>yPos: {{ staticOutputData.position.y | number:'3.2-2'}}</div>
                <div>interact: {{ interactingStatic }}</div>
            </div>
            <div>frontXPos: {{ staticOutputData.instance.frontPosition.x | number:'2.5-5'}}</div>
            <div>frontYPos: {{ staticOutputData.instance.frontPosition.y | number:'2.5-5'}}</div>
            <div>force: {{ staticOutputData.force | number:'1.5-5'}}</div>
            <div>angle-deg: {{ staticOutputData.angle.degree | number:'3.5-5'}}</div>
            <div>angle-rad: {{ staticOutputData.angle.radian }}</div>
            <div>direction: {{ staticOutputData.direction ? staticOutputData.direction.angle : ''}}</div>
            <div>distance: {{ staticOutputData.distance }}</div>
        </div>
    </div>
</div>